| Home | Libraries | People | FAQ | More

## Function rebin

boost::histogram::algorithm::rebin — Rebin command to be used in `reduce`.

## Synopsis

    // In header: <boost/histogram/algorithm/reduce.hpp>

    reduce_command rebin(unsigned merge);

## Description

Command is applied to corresponding axis in order of reduce arguments.

The command merges N adjacent bins into one. This makes the axis coarser and the bins wider. The original number of bins is divided by N. If there is a rest to this devision, the axis is implicitly shrunk at the upper end by that rest.

Parameters:

`merge` | how many adjacent bins to merge into one.